Bug 26498 - Kaffe fails to run
Kaffe fails to run
Product: Red Hat Linux
Classification: Retired
Component: kaffe (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Depends On:
  Show dependency treegraph
Reported: 2001-02-07 12:37 EST by Matt Stocum
Modified: 2015-03-04 20:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-12-15 05:26:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matt Stocum 2001-02-07 12:37:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.0-0.99.11 i686)

When using XFree 4.0.2 with a Creative labs banshee video card (3dfx voodoo
banshee) java programs that display to X fail.  They open an initial window
but the contents of the window stay grey.  Same problem happened when
running program from a RedHat 7.0 machine but displaying on the Fisher
display.  The program ran flawlessly on the RedHat 7.0 machine displaying
locally, but this machine has a matrox g400 in it so I don't know if it's
an X issue or a video card issue.  I have not been able to test this with a
java app that does not display to X.

Reproducible: Always
Steps to Reproduce:
1. Run a java app that displays on X with Kaffe

Actual Results:  Window apears but contents remain grey and it hangs.

Expected Results:  The app should have run.
Comment 1 Phil Knirsch 2001-02-08 13:58:07 EST
I have test it right now on my local box (unfortunately not with a Voodoo card)
and haven't had problems.

Could you try to narrow it down and see if it is a kaffe or an XFree problem by
installing Fisher on the Matrox G400 machine as well or is that not feasible?

Also, it would be nice to know if this happens only with one specific Java
program or with all or only some. I have tried the appletviewer and the
GraphLayout example of Sun.

Read ya, Phil
Comment 2 Matt Stocum 2001-03-18 21:48:31 EST
I was just able to test fisher on the G400 machine and kaffe runs fine.  Also,
the same problem is present with wolverine.
Comment 3 Mike A. Harris 2001-08-09 15:10:13 EDT
This is believed to be the same problem as in bug #18810 which
has been fixed.  I'm flagging it as fixed for now in XFree86-4.1.0-0.9.11
in rawhide.  Please confirm if this fixes it for you.
Comment 4 Phil Knirsch 2003-12-15 05:26:50 EST
Closing as worksforme. :-)

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.